<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <TextView
        android:text="@string/docs_text"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:id="@+id/headerTextView"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintVertical_bias="0.1"
        android:textSize="30sp" />

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="337dp"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/headerTextView"
        app:layout_constraintVertical_bias="0.2">

        <TextView
            android:text="@string/passport_text"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/fullNameTextView"
            android:layout_marginStart="10dp" />

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <EditText
                android:id="@+id/passportSeriesTEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="10dp"
                android:background="@drawable/background_text_field"
                android:hint="@string/passport_series_text"
                android:inputType="number"
                android:importantForAutofill="no"
                android:ems="10" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <EditText
                android:id="@+id/passportNumberEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/background_text_field"
                android:hint="@string/passport_number_text"
                android:importantForAutofill="no"
                android:inputType="number"
                android:layout_marginBottom="10dp" />
        </com.google.android.material.textfield.TextInputLayout>

        <com.google.android.material.textfield.TextInputLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <EditText
                android:id="@+id/passportIssueByEditText"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/background_text_field"
                android:hint="@string/passport_issue_by_text"
                android:importantForAutofill="no"
                android:inputType="textShortMessage"
                android:layout_marginBottom="10dp" />
        </com.google.android.material.textfield.TextInputLayout>

        <TextView
            android:text="@string/passport_date_of_issue_text"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/passportDateOfIssueTextView"
            android:layout_marginStart="10dp" />

        <LinearLayout
            android:orientation="horizontal"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp">

            <Spinner
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/dayPassportDateOfIssueSpinner"
                android:layout_weight="1" />

            <Spinner
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/monthPassportDateOfIssueSpinner"
                android:layout_weight="1" />

            <Spinner
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:id="@+id/yearPassportDateOfIssueSpinner"
                android:layout_weight="1" />
        </LinearLayout>

    </LinearLayout>

</androidx.constraintlayout.widget.ConstraintLayout>